net.minecraft.block

## Class BlockFire

- java.lang.Object
- - net.minecraft.block.Block
  - - net.minecraft.block.BlockFire

-     public class BlockFire
      extends Block

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraft.block.Block

      `Block.SoundType`

  - ### Field Summary

    - ### Fields inherited from class net.minecraft.block.Block

      `blockConstructorCalled, blockHardness, blockIcon, blockMaterial, blockParticleGravity, blockRegistry, blockResistance, canBlockGrass, capturedDrops, captureDrops, enableStats, harvesters, isBlockContainer, lightOpacity, lightValue, maxX, maxY, maxZ, minX, minY, minZ, needsRandomTick, opaque, slipperiness, soundTypeAnvil, soundTypeCloth, soundTypeGlass, soundTypeGrass, soundTypeGravel, soundTypeLadder, soundTypeMetal, soundTypePiston, soundTypeSand, soundTypeSnow, soundTypeStone, soundTypeWood, stepSound, textureName, useNeighborBrightness`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `BlockFire()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canBlockCatchFire(IBlockAccess p_149844_1_, int p_149844_2_, int p_149844_3_, int p_149844_4_)` Deprecated.
    `boolean` | `canCatchFire(IBlockAccess world, int x, int y, int z, ForgeDirection face)` Side sensitive version that calls the block function.
    `boolean` | `canPlaceBlockAt(World p_149742_1_, int p_149742_2_, int p_149742_3_, int p_149742_4_)`
    `boolean` | `func_149698_L()`
    `void` | `func_149842_a(int p_149842_1_, int p_149842_2_, int p_149842_3_)` Deprecated.
    `static void` | `func_149843_e()`
    `int` | `func_149846_a(World p_149846_1_, int p_149846_2_, int p_149846_3_, int p_149846_4_, int p_149846_5_)` Deprecated.
    `int` | `getChanceToEncourageFire(IBlockAccess world, int x, int y, int z, int oldChance, ForgeDirection face)` Side sensitive version that calls the block function.
    `AxisAlignedBB` | `getCollisionBoundingBoxFromPool(World p_149668_1_, int p_149668_2_, int p_149668_3_, int p_149668_4_)`
    `int` | `getEncouragement(Block block)`
    `IIcon` | `getFireIcon(int p_149840_1_)`
    `int` | `getFlammability(Block block)`
    `IIcon` | `getIcon(int p_149691_1_, int p_149691_2_)`
    `MapColor` | `getMapColor(int p_149728_1_)`
    `int` | `getRenderType()`
    `boolean` | `isCollidable()`
    `boolean` | `isOpaqueCube()`
    `void` | `onBlockAdded(World p_149726_1_, int p_149726_2_, int p_149726_3_, int p_149726_4_)`
    `void` | `onNeighborBlockChange(World p_149695_1_, int p_149695_2_, int p_149695_3_, int p_149695_4_, Block p_149695_5_)`
    `int` | `quantityDropped(java.util.Random p_149745_1_)`
    `void` | `randomDisplayTick(World p_149734_1_, int p_149734_2_, int p_149734_3_, int p_149734_4_, java.util.Random p_149734_5_)`
    `void` | `rebuildFireInfo()`
    `void` | `registerBlockIcons(IIconRegister p_149651_1_)`
    `boolean` | `renderAsNormalBlock()`
    `void` | `setFireInfo(Block block, int encouragement, int flammibility)`
    `int` | `tickRate(World p_149738_1_)`
    `void` | `updateTick(World p_149674_1_, int p_149674_2_, int p_149674_3_, int p_149674_4_, java.util.Random p_149674_5_)`

    - ### Methods inherited from class net.minecraft.block.Block

      `addCollisionBoxesToList, addDestroyEffects, addHitEffects, beginLeavesDecay, breakBlock, canBeReplacedByLeaves, canBlockStay, canCollideCheck, canConnectRedstone, canCreatureSpawn, canDropFromExplosion, canEntityDestroy, canHarvestBlock, canPlaceBlockOnSide, canPlaceTorchOnTop, canProvidePower, canRenderInPass, canReplace, canSilkHarvest, canSilkHarvest, canSustainLeaves, canSustainPlant, captureDrops, collisionRayTrace, colorMultiplier, createStackedBlock, createTileEntity, damageDropped, disableStats, dropBlockAsItem, dropBlockAsItem, dropBlockAsItemWithChance, dropXpOnBlockBreak, fillWithRain, func_149730_j, func_149735_b, getAmbientOcclusionLightValue, getBedDirection, getBedSpawnPosition, getBlockBoundsMaxX, getBlockBoundsMaxY, getBlockBoundsMaxZ, getBlockBoundsMinX, getBlockBoundsMinY, getBlockBoundsMinZ, getBlockById, getBlockColor, getBlockFromItem, getBlockFromName, getBlockHardness, getBlocksMovement, getBlockTextureFromSide, getCanBlockGrass, getComparatorInputOverride, getCreativeTabToDisplayOn, getDamageValue, getDrops, getEnableStats, getEnchantPowerBonus, getExpDrop, getExplosionResistance, getExplosionResistance, getFireSpreadSpeed, getFlammability, getHarvestLevel, getHarvestTool, getIcon, getIdFromBlock, getItem, getItemDropped, getItemIconName, getLightOpacity, getLightOpacity, getLightValue, getLightValue, getLocalizedName, getMaterial, getMixedBrightnessForBlock, getMobilityFlag, getPickBlock, getPlayerRelativeBlockHardness, getRenderBlockPass, getRenderColor, getSelectedBoundingBoxFromPool, getSubBlocks, getTextureName, getTickRandomly, getUnlocalizedName, getUseNeighborBrightness, getValidRotations, getWeakChanges, harvestBlock, hasComparatorInputOverride, hasTileEntity, hasTileEntity, isAir, isAssociatedBlock, isBeaconBase, isBed, isBedFoot, isBlockNormalCube, isBlockSolid, isBurning, isEqualTo, isFertile, isFireSource, isFlammable, isFlowerPot, isFoliage, isLadder, isLeaves, isNormalCube, isNormalCube, isProvidingStrongPower, isProvidingWeakPower, isReplaceable, isReplaceableOreGen, isSideSolid, isToolEffective, isWood, onBlockActivated, onBlockClicked, onBlockDestroyedByExplosion, onBlockDestroyedByPlayer, onBlockEventReceived, onBlockExploded, onBlockHarvested, onBlockPlaced, onBlockPlacedBy, onBlockPreDestroy, onEntityCollidedWithBlock, onEntityWalking, onFallenUpon, onNeighborChange, onPlantGrow, onPostBlockPlaced, quantityDropped, quantityDroppedWithBonus, recolourBlock, registerBlocks, removedByPlayer, rotateBlock, setBedOccupied, setBlockBounds, setBlockBoundsBasedOnState, setBlockBoundsForItemRender, setBlockName, setBlockTextureName, setBlockUnbreakable, setCreativeTab, setHardness, setHarvestLevel, setHarvestLevel, setLightLevel, setLightOpacity, setResistance, setStepSound, setTickRandomly, shouldCheckWeakPower, shouldSideBeRendered, velocityToAddToEntity`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BlockFire

          protected BlockFire()

  - ### Method Detail

    - #### func_149843_e

          public static void func_149843_e()

    - #### func_149842_a

          @Deprecated
          public void func_149842_a(int p_149842_1_,
                                      int p_149842_2_,
                                      int p_149842_3_)

      Deprecated.

    - #### getCollisionBoundingBoxFromPool

          public AxisAlignedBB getCollisionBoundingBoxFromPool(World p_149668_1_,
                                                      int p_149668_2_,
                                                      int p_149668_3_,
                                                      int p_149668_4_)

      Overrides:
        `getCollisionBoundingBoxFromPool` in class `Block`

    - #### isOpaqueCube

          public boolean isOpaqueCube()

      Overrides:
        `isOpaqueCube` in class `Block`

    - #### renderAsNormalBlock

          public boolean renderAsNormalBlock()

      Overrides:
        `renderAsNormalBlock` in class `Block`

    - #### getRenderType

          public int getRenderType()

      Overrides:
        `getRenderType` in class `Block`

    - #### quantityDropped

          public int quantityDropped(java.util.Random p_149745_1_)

      Overrides:
        `quantityDropped` in class `Block`

    - #### tickRate

          public int tickRate(World p_149738_1_)

      Overrides:
        `tickRate` in class `Block`

    - #### updateTick

          public void updateTick(World p_149674_1_,
                        int p_149674_2_,
                        int p_149674_3_,
                        int p_149674_4_,
                        java.util.Random p_149674_5_)

      Overrides:
        `updateTick` in class `Block`

    - #### func_149698_L

          public boolean func_149698_L()

      Overrides:
        `func_149698_L` in class `Block`

    - #### isCollidable

          public boolean isCollidable()

      Overrides:
        `isCollidable` in class `Block`

    - #### canBlockCatchFire

          @Deprecated
          public boolean canBlockCatchFire(IBlockAccess p_149844_1_,
                                             int p_149844_2_,
                                             int p_149844_3_,
                                             int p_149844_4_)

      Deprecated.

    - #### func_149846_a

          @Deprecated
          public int func_149846_a(World p_149846_1_,
                                     int p_149846_2_,
                                     int p_149846_3_,
                                     int p_149846_4_,
                                     int p_149846_5_)

      Deprecated.

    - #### canPlaceBlockAt

          public boolean canPlaceBlockAt(World p_149742_1_,
                                int p_149742_2_,
                                int p_149742_3_,
                                int p_149742_4_)

      Overrides:
        `canPlaceBlockAt` in class `Block`

    - #### onNeighborBlockChange

          public void onNeighborBlockChange(World p_149695_1_,
                                   int p_149695_2_,
                                   int p_149695_3_,
                                   int p_149695_4_,
                                   Block p_149695_5_)

      Overrides:
        `onNeighborBlockChange` in class `Block`

    - #### onBlockAdded

          public void onBlockAdded(World p_149726_1_,
                          int p_149726_2_,
                          int p_149726_3_,
                          int p_149726_4_)

      Overrides:
        `onBlockAdded` in class `Block`

    - #### randomDisplayTick

          public void randomDisplayTick(World p_149734_1_,
                               int p_149734_2_,
                               int p_149734_3_,
                               int p_149734_4_,
                               java.util.Random p_149734_5_)

      Overrides:
        `randomDisplayTick` in class `Block`

    - #### registerBlockIcons

          public void registerBlockIcons(IIconRegister p_149651_1_)

      Overrides:
        `registerBlockIcons` in class `Block`

    - #### getFireIcon

          public IIcon getFireIcon(int p_149840_1_)

    - #### getIcon

          public IIcon getIcon(int p_149691_1_,
                      int p_149691_2_)

      Overrides:
        `getIcon` in class `Block`

    - #### getMapColor

          public MapColor getMapColor(int p_149728_1_)

      Overrides:
        `getMapColor` in class `Block`

    - #### setFireInfo

          public void setFireInfo(Block block,
                         int encouragement,
                         int flammibility)

    - #### rebuildFireInfo

          public void rebuildFireInfo()

    - #### getFlammability

          public int getFlammability(Block block)

    - #### getEncouragement

          public int getEncouragement(Block block)

    - #### canCatchFire

          public boolean canCatchFire(IBlockAccess world,
                             int x,
                             int y,
                             int z,
                             ForgeDirection face)

      Side sensitive version that calls the block function.
      Parameters:
        `world` - The current world
        `x` - X Position
        `y` - Y Position
        `z` - Z Position
        `face` - The side the fire is coming from
      Returns:
        True if the face can catch fire.

    - #### getChanceToEncourageFire

          public int getChanceToEncourageFire(IBlockAccess world,
                                     int x,
                                     int y,
                                     int z,
                                     int oldChance,
                                     ForgeDirection face)

      Side sensitive version that calls the block function.
      Parameters:
        `world` - The current world
        `x` - X Position
        `y` - Y Position
        `z` - Z Position
        `oldChance` - The previous maximum chance.
        `face` - The side the fire is coming from
      Returns:
        The chance of the block catching fire, or oldChance if it is higher